import { jsx as r } from "react/jsx-runtime";

import { useEffect as e, Suspense as t } from "react";

import { n as a, o as p, p as s } from "./chunk1.mjs";

import o from "classnames";

const n = () => {
    e((() => () => {
        a.publish(p);
    }), []);
    return null;
};

var c = "sas_components-ReportContentWrapper-ReportContentWrapper_wrapper";

var m = {
    wrapper: c
};

const l = e => {
    const a = s();
    return r("div", {
        "data-report-key": e.reportKey,
        className: o(e.className, m.wrapper),
        dir: a,
        style: e.style,
        children: r(t, {
            fallback: r(n, {}),
            children: e.children
        })
    });
};

export { l as R };
